import java.awt.*;
import java.applet.*;

public class BasicGUIApplet extends Applet
{
        // Applet starts here
    public void init( )
    {
        setLayout( new FlowLayout( ) );
        add( new GUI( ) );
    }

        // Constructor is called by application
    public BasicGUIApplet( )
    {
        init( );
    }

        // main method for an application
    public static void main( String [ ] args )
    {
        Frame f = new CloseableFrame( );

        f.setLayout( new FlowLayout( ) );
        f.add( new BasicGUIApplet( ) );
        f.pack( );
        f.show( );
    }
}
